Debians sikkerhedsbulletin

DSA-772-1 apt-cacher -- manglende kontrol af inddata

Rapporteret den:
3. aug 2005
Berørte pakker:
apt-cacher
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Mitres CVE-ordbog: CVE-2005-1854.
Yderligere oplysninger:

Eduard Bloch har opdaget en fejl i apt-cacher, et mellemlagringssystem til Debian-pakker og kildekodefiler. Fejlen kunne gøre det muligt for fjernangribere at udføre vilkårlige kommandoer på værtsmaskinen med mellemlageret som brugeren www-data.

Den gamle stabile distribution (woody) indeholder ikke denne pakke.

I den stabile distribution (sarge) er dette problem rettet i version 0.9.4sarge1.

I den ustabile distribution (sid) er dette problem rettet i version 0.9.10.

Vi anbefaler at du opgraderer din apt-cacher-pakke.

Rettet i:

Debian GNU/Linux 3.1 (sarge)

Kildekode:
http://security.debian.org/pool/updates/main/a/apt-cacher/apt-cacher_0.9.4sarge1.dsc
http://security.debian.org/pool/updates/main/a/apt-cacher/apt-cacher_0.9.4sarge1.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/a/apt-cacher/apt-cacher_0.9.4sarge1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.